<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xhtml="http://www.w3.org/1999/xhtml">
	<xsl:output method="html" version="3.2" doctype-public="//W3C//DTD HTML 3.2 Final//EN" />

	<xsl:template match="/">
		<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
			<head>
				<title>INTUS RemoteConf Versionshinweise</title>
				
				<!-- Style-Block von http://download.pcs.com/irc übernommen -->
				<style type="text/css">
					h1,p,pre,td,a { font-family:Arial,sans-serif; color:white}
					h1 { font-size:16pt; }
					a:link { color:white; }
					a:visited { color:white; }
					a:active { color:white; }
					li { color:#abbc4a; }
					body { margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px;}
					body { background-color:#474747; font-family:Arial,sans-serif; color:white}
					.einrueckung { margin-left:20px; }
				</style>
			</head>
			<body>
				<xsl:apply-templates />
			</body>
		</html>
	</xsl:template>

	<xsl:template match="releasenotes">
		<h1>Versionshinweise</h1>
		<xsl:apply-templates>
			<xsl:sort select="release-date" order="descending"/>
		</xsl:apply-templates>
	</xsl:template>

	<xsl:template match="release">
		<u>INTUS RemoteConf
			<xsl:value-of select="@version"/>
			(<xsl:call-template name="dateconversion">
				<xsl:with-param name="yyyy-mm-dd" select="release-date"/>
			</xsl:call-template>)</u>

		<xsl:call-template name="section">
			<xsl:with-param name="path" select="new-features/feature"/>
			<xsl:with-param name="headline">Neue Funktionen:</xsl:with-param>
		</xsl:call-template>			
		<xsl:call-template name="section">
			<xsl:with-param name="path" select="changes/change"/>
			<xsl:with-param name="headline">Änderungen:</xsl:with-param>
		</xsl:call-template>			
		<xsl:call-template name="section">
			<xsl:with-param name="path" select="bugfixes/bugfix"/>
			<xsl:with-param name="headline">Behobene Fehler:</xsl:with-param>
		</xsl:call-template>			
	</xsl:template>

	<xsl:template name="section">
		<xsl:param name="path"/>
		<xsl:param name="headline"/>
		<xsl:if test="count($path) &gt; 0">
			<p>
				<xsl:value-of select="$headline"/>
			</p>
			<ul>
				<xsl:for-each select="$path">
					<li>
						<xsl:value-of select="text()"/>
					</li>
				</xsl:for-each>
			</ul>
		</xsl:if>
	</xsl:template>

	<xsl:template name="dateconversion">
		<xsl:param name="yyyy-mm-dd"/>
		<xsl:variable name="dd" select="substring($yyyy-mm-dd, 9, 2)"/>
		<xsl:variable name="mm" select="substring($yyyy-mm-dd, 6, 2)"/>
		<xsl:variable name="yyyy" select="substring($yyyy-mm-dd, 1, 4)"/>
		<xsl:value-of select="$dd"/>.<xsl:value-of select="$mm"/>.<xsl:value-of select="$yyyy"/>
	</xsl:template>
</xsl:stylesheet>